Bug 180969 - RFE: Add the ability for clumanager to relocate dead services without restarting locally
RFE: Add the ability for clumanager to relocate dead services without restart...
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: clumanager (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
Depends On:
Blocks: 174689
  Show dependency treegraph
Reported: 2006-02-10 16:11 EST by Josef Bacik
Modified: 2009-04-16 16:19 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0505
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-10 10:13:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch that implements this behavior (790 bytes, patch)
2006-02-10 16:12 EST, Josef Bacik
no flags Details | Diff

  None (edit)
Description Josef Bacik 2006-02-10 16:11:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Red Hat/1.0.6-1.4.1 Firefox/1.0.6

Description of problem:
If you kill a service being handled by clumanager, ie httpd, clumanager will restart it locally until it reaches the max restart count.  There is no way to force clumanager to relocate everytime without restarting it locally.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.kill a process that is being controlled by clumanager

Actual Results:  the service is restarted locally

Expected Results:  would like an option to force it to relocate

Additional info:
Comment 1 Josef Bacik 2006-02-10 16:12:34 EST
Created attachment 124530 [details]
Patch that implements this behavior
Comment 2 Josef Bacik 2006-02-10 16:14:23 EST
actually that first part probably isnt needed, you just need that else statement.
Comment 3 Lon Hohberger 2006-05-09 06:48:15 EDT
Patch in CVS.
Comment 8 Red Hat Bugzilla 2006-08-10 10:13:24 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.